<template>
  <v-text-field
    v-bind="$attrs"
    v-model="cpf"
    :rules="[vRequired('CPF'), vCPF()]"
    v-mask="'###.###.###-##'"
   /></template>

<script lang="ts">
import Vue from 'vue'

import vRequired from '@/validators/required'
import vCPF from '@/validators/cpf.js'

export default Vue.extend({
  name: 'CPFInput',
  props: {
    value: { type: String, default: null }
  },
  data: (): {
    vCPF: Function
    vRequired: Function
  } => ({
    vRequired,
    vCPF
  }),
  computed: {
    cpf: {
      get (): string {
        return this.value
      },
      set (v: string) {
        this.$emit('input', v)
      }
    }
  }
})
</script>
